;+
;  $Id: thm_sst_psir.pro 1108 2007-07-16 15:06:26Z davin-win $
;-
function thm_sst_psir,time,index=index,probe=probe,times=times


data_cache,'th'+probe+'_sst_raw_data',data,/get

if not keyword_set(data) then begin
   dprint,dlevel=0,'No data loaded for ',probe
   return,0
endif

if keyword_set(times) then return, *data.sir_001_time

dptr = data.sir_001_data
dim = size(/dimension,*dptr)
dist = thm_sst_dist3d_16x1()
dist.magf = !values.f_nan

if not keyword_set(index) then $
    index=round( interp(dindgen(dim[0]),*data.sir_001_time,time) )

dprint,dlevel=3,index

dist.index = index
dist.time = (*data.sir_001_time)[index]
dist.end_time = dist.time+3
dist.data= thm_part_decomp16((*data.sir_001_data)[index,*,*])
dist.valid=1
dist.mass = 1836.*0.511e6/(2.9979e5)^2

return,dist
end